Deprecate assert.pl with a warning
authorSteffen Mueller <smueller@cpan.org>
Wed, 2 Sep 2009 16:32:53 +0000 (18:32 +0200)
committerSteffen Mueller <smueller@cpan.org>
Wed, 2 Sep 2009 16:33:09 +0000 (18:33 +0200)
lib/assert.pl

index 4c9ebf2..768ae49 100644 (file)
@@ -11,6 +11,9 @@
 # be printed out by &panic, which is just the stack-backtrace
 # routine shamelessly borrowed from the perl debugger.
 
+warn( "The 'assert.pl' legacy library is deprecated and will be"
+      . " removed in the next major release of perl." );
+
 sub assert {
     &panic("ASSERTION BOTCHED: $_[$[]",$@) unless eval $_[$[];
 }